Bug 110056 - Wanted to have possibility to use initscripts without modutils installed
Summary: Wanted to have possibility to use initscripts without modutils installed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-14 15:40 UTC by Daniel Sutcliffe
Modified: 2014-03-17 02:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 18:58:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patches initscripts-7.42 to remove dependency on modular kernel (5.99 KB, patch)
2003-11-21 15:14 UTC, Daniel Sutcliffe
no flags Details | Diff

Description Daniel Sutcliffe 2003-11-14 15:40:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.3)
Gecko/20030312

Description of problem:
I do not use any Kernel modules on one of my machines and wanted to
remove the modutils package.  Obviously it wasn't that simple.

I have created a patch so that rc.sysinit, at least, runs smoothly
without the modutils being installed... wondered if you were
interested in this with the possibility of merging it into the main
source tree.  I have been careful to code making as few changes as
possible and not changing any existing behaviour. 

Version-Release number of selected component (if applicable):
initscripts-7.42

How reproducible:
Always

Steps to Reproduce:
1. Build a kernel with no modules and no module facilities
2. Reboot
3. Watch the boot messages...
    

Additional info:

Email me if you want the patch

Comment 1 Bill Nottingham 2003-11-14 16:27:04 UTC
Feel free to attach the patch to bugzilla.

Comment 2 Daniel Sutcliffe 2003-11-21 15:14:53 UTC
Created attachment 96119 [details]
patches initscripts-7.42 to remove dependency on modular kernel

Sorry for the delay, I wanted to test thoroughly and refine the patch a little.


Cheers
/dan

Comment 3 Bill Nottingham 2005-04-28 18:58:48 UTC
This should be generally better in FC3 - I'm not seeing cases in a quick glance
where errors would be triggered. Please try there.


Note You need to log in before you can comment on or make changes to this bug.